Subject: Re: [PATCH] powerpc/fsl: add device tree binding for QE firmware

From: Grant Likely <[email-masked]>
Date: Fri, 26 Mar 2010 12:20:34 -0600

On Fri, Mar 26, 2010 at 9:17 AM, Timur Tabi <[email-masked]> wrote:
> Grant Likely wrote:
>
>> +- fsl,firmware:
>> +    Usage: Optional.
>> +    Value type: <prop-encoded-array>, encoded array of bytes
>> +    Definition: Contains the QUICC engine firmware blob.
>> [plus any other properties needed for firmware metadata]
>
> This would place the firmware metadata properties inside the QE node itself, which would break the QE binding.

Not really true.  Adding extra properties seldom breaks a binding.
It's a wash when compared with compared with adding a node.  But
that's not really an important debate.

> Here, the fsl,qe-firmware-eccr property is associated with the QE itself.  This is why I want a compatible property for the firmware node, no matter where it is.  Then you can do this:
>
>       qe1: qe@e0080000 {
>               compatible = "fsl,qe";
>               fsl,qe_firmware {
>                       compatible="fsl,qe-firmware";
>                       fsl,firmware = /bininc/("firmware-blob.bin");
>                       fsl,qe-firmware-eccr = <0x00000000 0x00001230>;
>               }
>               ...
>       }
>
> Without the compatible property, the only way I'd know that the child node contains a firmware is to look at the actual name of the child node, which (as Scott and I believe) is not better than a compatible property.

If it is always a child of a qe node, then I've got no objections.

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.